# Sales channel detail

Information about the detail of the sales channels. Module Sales Channel is required.

Endpoint: GET /api/sales-channels/{guid}
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `guid` (string, required)
    Sales channel GUID
    Example: "0199bdfd-0979-71fb-85ce-e483c61d391a"

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.salesChannel` (object, required)

  - `data.salesChannel.id` (integer, required)
    Sales channel ID.

  - `data.salesChannel.guid` (string, required)
    Sales channel GUID.

  - `data.salesChannel.name` (string, required)
    Sales channel name.

  - `data.salesChannel.type` (any, required)
    Type of sales channel.
    Enum: "in_store", "online_store", "marketplace", "system"

  - `data.salesChannel.abilities` (array, required)
    List of abilities of the sales channel.
    Enum: "delivery_method_linkable", "disable_shipment_status_email_notification", "enable_update_in_detail_pages"

  - `data.salesChannel.defaultCurrency` (string,null)
    Sales channel default currency.

  - `data.salesChannel.currencies` (array, required)
    Currencies collection.

  - `data.salesChannel.currencies.code` (string, required)
    Currency code. List of available currencies within the e-shop can be found in endpoint GET /api/eshop.

  - `data.salesChannel.currencies.title` (string, required)
    Currency title.

  - `data.salesChannel.currencies.symbol` (string, required)
    Currency symbol.

  - `data.salesChannel.currencies.isSymbolOnLeft` (boolean, required)
    Whether the currency symbol is on left side.

  - `data.salesChannel.currencies.precision` (integer, required)
    Currency precision.

  - `data.salesChannel.currencies.priority` (integer,null)
    Currency priority.

  - `data.salesChannel.currencies.decimalSeparator` (string, required)
    Currency decimal separator.

  - `data.salesChannel.currencies.thousandSeparator` (string)
    Currency thousand separator.

  - `data.salesChannel.currencies.isDefault` (boolean)
    Whether the language is default.

  - `data.salesChannel.defaultLanguage` (string,null)
    Sales channel default language.

  - `data.salesChannel.languages` (array, required)
    Languages collection.

  - `data.salesChannel.languages.code` (string, required)
    Language code.

  - `data.salesChannel.languages.name` (string, required)
    Language name.

  - `data.salesChannel.languages.dateFormat` (string, required)
    Date format of language.

  - `data.salesChannel.languages.timeFormat` (string, required)
    Time format of language.

  - `data.salesChannel.languages.isVisible` (boolean, required)
    Whether the language is visible.

  - `data.salesChannel.languages.isBlocked` (boolean, required)
    Whether the language is blocked.

  - `data.salesChannel.languages.priority` (integer,null)
    Language priority.

  - `data.salesChannel.languages.isDefault` (boolean)
    Whether the language is default.

  - `data.salesChannel.createdAt` (string, required)

  - `data.salesChannel.updatedAt` (string,null, required)

  - `data.onlineStore` (object,null, required)

  - `data.onlineStore.id` (integer, required)
    Online store identifier.

  - `data.onlineStore.name` (string)
    Name of online store.

  - `data.onlineStore.status` (string, required)
    Online store status
    Enum: "active", "pending"

  - `data.onlineStore.domain` (string)
    Online store domain.

  - `data.onlineStore.domainSetupMethod` (string,null)
    Online store domain setup method.

  - `data.onlineStore.addressFormat` (string)
    Address format of online store.

  - `data.onlineStore.timezone` (string)
    Timezone of online store.

  - `data.onlineStore.defaultCountry` (object,null)
    Default country of online store.

  - `data.onlineStore.defaultCountry.id` (integer, required)
    Country identifier.

  - `data.onlineStore.defaultCountry.name` (string, required)
    Country name.

  - `data.onlineStore.defaultCountry.code` (string, required)
    Country code.

  - `data.onlineStore.defaultCountry.isoCode` (string)
    Country ISO code.

  - `data.onlineStore.defaultCountry.flagCode` (string)
    Country flag code.

  - `data.onlineStore.defaultCountry.codeAlpha3` (string, required)
    Country alpha-3 code.

  - `data.onlineStore.defaultCountry.currency` (string,null)
    Country currency.

  - `data.onlineStore.defaultCountry.language` (string,null)
    Country language.

  - `data.onlineStore.defaultCountry.regionCount` (integer)
    Region count of country.

  - `data.onlineStore.countries` (array)
    Countries of online store.

  - `data.onlineStore.countries.id` (integer, required)
    Country identifier.

  - `data.onlineStore.countries.name` (string, required)
    Country name.

  - `data.onlineStore.countries.code` (string, required)
    Country code.

  - `data.onlineStore.countries.isoCode` (string)
    Country ISO code.

  - `data.onlineStore.countries.flagCode` (string)
    Country flag code.

  - `data.onlineStore.countries.codeAlpha3` (string, required)
    Country alpha-3 code.

  - `data.onlineStore.countries.currency` (string,null)
    Country currency.

  - `data.onlineStore.countries.language` (string,null)
    Country language.

  - `data.onlineStore.countries.regionCount` (integer)
    Region count of country.

  - `data.onlineStore.isPasswordProtected` (boolean, required)
    Whether the online store is protected by password.

  - `data.onlineStore.isPrimary` (boolean, required)
    Whether the online store is primary.

  - `data.onlineStore.design` (object)
    Online store design.

  - `data.onlineStore.design.header` (object, required)

  - `data.onlineStore.design.header.logoUrl` (string,null, required)
    URL of online store logo.

  - `data.inStore` (object,null, required)

  - `data.inStore.id` (integer, required)
    In-store identifier.

  - `data.inStore.guid` (string, required)
    In-store GUID.

  - `data.inStore.address` (any, required)
    In-store address (can be null).

  - `data.inStore.contact` (object, required)
    In store contact information.

  - `data.inStore.contact.email` (string,null, required)
    in-store contact email

  - `data.inStore.contact.phone` (string,null, required)
    in-store contact phone

  - `data.inStore.contact.openingHour` (string,null, required)
    in-store opening hours

  - `data.inStore.contact.transport` (string,null, required)
    in-store transport information

  - `data.inStore.categoryId` (integer, required)
    Project category identifier.

  - `data.marketplace` (object,null, required)

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 403 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


